POST api/order/{id}/comment
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
None. |
Body Parameters
OrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ShortUnique | string |
None. |
|
| Id | globally unique identifier |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| PersonName | string |
None. |
|
| Products | Collection of EntityDto |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| CampaignName | string |
None. |
|
| Updated | date |
None. |
|
| Status | integer |
None. |
|
| StatusName | string |
None. |
|
| OrderLines | Collection of OrderLineDto |
None. |
|
| Postage | PriceDto |
None. |
|
| Price | PriceDto |
None. |
|
| Created | date |
None. |
|
| Recurring | boolean |
None. |
|
| FullfillmentCompany | string |
None. |
|
| FulfillmentId | string |
None. |
|
| PaymentId | string |
None. |
|
| PaymentCompany | string |
None. |
|
| Comment | string |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentCompanySubscriptionId | string |
None. |
|
| StatusDto | StatusDto |
None. |
|
| CampaignCode | string |
None. |
|
| Campaign | EntityDto |
None. |
|
| FromCart | globally unique identifier |
None. |
|
| IsExternalOrder | boolean |
None. |
|
| FulfillmentDate | date |
None. |
|
| FulfillmentDeliveryDate | date |
None. |
|
| CaptureDate | date |
None. |
|
| PaidDate | date |
None. |
|
| Shop | EntityDto |
None. |
|
| FulfillmentStatus | string |
None. |
|
| FulfillmentPurchaseOrderId | string |
None. |
|
| PaymentStatus | string |
None. |
|
| PaymentMethod | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"shortUnique": "sample string 1",
"id": "35e23f3d-38c4-45d9-8f2f-8cc6f8730a22",
"personId": "1d734747-c3b2-4492-af65-e8c2ac3a09cf",
"personName": "sample string 3",
"products": [
{
"id": "ccd0838b-d36e-4447-ba24-6d54578f5da8",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "ccd0838b-d36e-4447-ba24-6d54578f5da8",
"name": "sample string 2",
"type": "sample string 3"
}
],
"campaignId": "97cb106a-35a5-4965-9bb7-a8a7caf90155",
"campaignName": "sample string 4",
"updated": "2026-11-07T02:25:39.4189759+01:00",
"status": 6,
"statusName": "sample string 7",
"orderLines": [
{
"id": "a415659e-bfcc-4603-bde0-7c0a4430e011",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "8a7691aa-5008-4c24-aa63-e75fea94cf7d",
"amount": 1.0,
"currency": "sample string 2",
"productId": "6b433f14-a13e-4c98-a4bb-9f962b14fd1d",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-11-07T02:25:39.4189759+01:00",
"created": "2026-11-07T02:25:39.4189759+01:00",
"campaignName": "sample string 6",
"campaignId": "b1ceea73-907a-4deb-9dd2-5c4be2769771",
"productName": "sample string 7",
"productId": "665d5343-ae9e-423e-af43-51e3e40c5009",
"recurring": true
},
{
"id": "a415659e-bfcc-4603-bde0-7c0a4430e011",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "8a7691aa-5008-4c24-aa63-e75fea94cf7d",
"amount": 1.0,
"currency": "sample string 2",
"productId": "6b433f14-a13e-4c98-a4bb-9f962b14fd1d",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-11-07T02:25:39.4189759+01:00",
"created": "2026-11-07T02:25:39.4189759+01:00",
"campaignName": "sample string 6",
"campaignId": "b1ceea73-907a-4deb-9dd2-5c4be2769771",
"productName": "sample string 7",
"productId": "665d5343-ae9e-423e-af43-51e3e40c5009",
"recurring": true
}
],
"postage": {
"id": "8a7691aa-5008-4c24-aa63-e75fea94cf7d",
"amount": 1.0,
"currency": "sample string 2",
"productId": "6b433f14-a13e-4c98-a4bb-9f962b14fd1d",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"price": {
"id": "8a7691aa-5008-4c24-aa63-e75fea94cf7d",
"amount": 1.0,
"currency": "sample string 2",
"productId": "6b433f14-a13e-4c98-a4bb-9f962b14fd1d",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"created": "2026-11-07T02:25:39.4189759+01:00",
"recurring": true,
"fullfillmentCompany": "sample string 10",
"fulfillmentId": "sample string 11",
"paymentId": "sample string 12",
"paymentCompany": "sample string 13",
"comment": "sample string 14",
"deliveryMethod": "sample string 15",
"paymentCompanySubscriptionId": "sample string 16",
"statusDto": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"campaignCode": "sample string 17",
"campaign": {
"id": "ccd0838b-d36e-4447-ba24-6d54578f5da8",
"name": "sample string 2",
"type": "sample string 3"
},
"fromCart": "d15192a0-dcb2-42f2-ac1b-842622d05832",
"isExternalOrder": true,
"fulfillmentDate": "2026-11-07T02:25:39.4189759+01:00",
"fulfillmentDeliveryDate": "2026-11-07T02:25:39.4189759+01:00",
"captureDate": "2026-11-07T02:25:39.4189759+01:00",
"paidDate": "2026-11-07T02:25:39.4366237+01:00",
"shop": {
"id": "ccd0838b-d36e-4447-ba24-6d54578f5da8",
"name": "sample string 2",
"type": "sample string 3"
},
"fulfillmentStatus": "sample string 18",
"fulfillmentPurchaseOrderId": "sample string 19",
"paymentStatus": "sample string 20",
"paymentMethod": "sample string 21"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.